textures/A2/blue
{
	qer_editorimage textures/snow_sd/icelake2.tga
	surfaceparm slick
	surfaceparm nodamage
	//tesssize 256

	{
		map textures/a2/pink_env.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/snow_sd/icelake2.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/detail_sd/snowdetail_heavy.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 4 4
		detail
	}
}

textures/A2/blue_ob
{
	qer_editorimage textures/snow_sd/icelake2.tga
	surfaceparm slick
	surfaceparm nodamage
	surfaceparm monsterslicksouth
	//tesssize 256

	{
		map textures/a2/pink_env.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/snow_sd/icelake2.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/detail_sd/snowdetail_heavy.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 4 4
		detail
	}
}


textures/a2/bluedmg
{
	qer_editorimage textures/snow_sd/icelake2.tga
	surfaceparm slick
	surfaceparm landmine
	tesssize 256

	{
		map textures/effects/envmap_ice2.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/snow_sd/icelake2.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		//map textures/detail_sd/snowdetail_heavy.tga
		map textures/a2/pink.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 2 2
		detail
	}
}


textures/a2/bluelight
{
	qer_editorimage textures/snow_sd/icelake2.tga
	surfaceparm slick
	surfaceparm nodamage
	surfaceparm landmine
	tesssize 256
	q3map_surfacelight 200
	q3map_lightRGB 153 102 255
	q3map_lightmapSize 256 256
	q3map_backSplash 0 10


	{
		map textures/effects/envmap_ice2.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/snow_sd/icelake2.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		//map textures/detail_sd/snowdetail_heavy.tga
		map textures/a2/pink.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 2 2
		detail
	}
}


textures/A2/bunkerwall_4
{	
	qer_editorimage textures/A2/bunkerwall_4.tga
	surfaceparm landmine
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/A2/bunkerwall_4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		//blendfunc blend
	}
}

textures/A2/soil
{	
	qer_editorimage textures/A2/soil.tga
	surfaceparm landmine
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/A2/soil.tga
		blendFunc GL_DST_COLOR GL_ZERO
		//blendfunc blend
	}
}





textures/A2/bunkerwall_3
{	
	qer_editorimage textures/A2/bunkerwall_3.tga
	surfaceparm landmine
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/A2/bunkerwall_3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		//blendfunc blend
	}
}



textures/a2/pad1
{
	qer_editorimage textures/A2/concrete1.tga
	surfaceparm landmine
	surfaceparm nodamage
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/A2/concrete1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}	
}

textures/a2/pad2light
{
	qer_editorimage textures/A2/concrete1.tga
	surfaceparm landmine
	surfaceparm nodamage
	q3map_surfacelight 200
	q3map_lightRGB 153 102 255
	q3map_lightmapSize 256 256
	//q3map_backSplash 0 10

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/A2/concrete1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}	
}







textures/A2/wood8
{
	qer_editorimage textures/A2/wood8.tga
	surfaceparm woodsteps
	surfaceparm nodamage
	surfaceparm landmine
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/A2/wood8.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}	
}


textures/A2/sol3
{
	qer_editorimage textures/A2/sol3.tga
	surfaceparm gravelsteps
	surfaceparm nodamage
	surfaceparm landmine
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/A2/sol3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}	
}


textures/A2/floor2
{
	qer_editorimage textures/A2/floor2.tga
	surfaceparm nodamage
	surfaceparm landmine
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/A2/floor2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}	
}



textures/A2/black
{
	qer_editorimage textures/A2/black.tga
	surfaceparm landmine
	surfaceparm nodamage
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/A2/black.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}	
}


textures/A2/blue2
{
	qer_editorimage textures/A2/blue0.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
		
	
		{
		map textures/A2/blue0.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		tcGen environment
		//blendFunc GL_ONE GL_ONE
		//rgbGen wave sin .6 .2 3 .6
		
	}	
}


textures/a2/blue_glass
{
	qer_editorimage textures/A2/blue0.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
		
	
		{
		map textures/A2/blue0.tga
		blendfunc GL_ONE GL_SRC_ALPHA 
		tcGen environment
		//blendFunc GL_ONE GL_ONE
		//rgbGen wave sin .6 .2 3 .6
		
	}	
}


textures/a2/glass_d
{
	qer_editorimage textures/A2/glass_d.tga
	qer_trans 0.5
	//surfaceparm trans
	surfaceparm nodamage
	surfaceparm slick
		
	
		{
		map textures/A2/glass_d.tga
		blendfunc GL_ONE GL_SRC_ALPHA 
		tcGen environment
		//blendFunc GL_ONE GL_ONE
		//rgbGen wave sin .6 .2 3 .6
		
	}	
}



textures/a2/pink_1
{
	qer_editorimage textures/A2/pink.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
	cull none
		
	
		{
		map textures/A2/pink.tga
		//blendfunc GL_SRC_ALPHA GL_ONE
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen wave triangle .6 .4 3 .6
		
	}	
}









///

textures/a2/ter1
{
     qer_editorimage textures/common/terrain_snow.tga
	surfaceparm nodamage
	surfaceparm landmine
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.1 0.1 0.80 )
	{
		//map textures/snow_sd/snow_noisy.tga // Primary
		map textures/a2/soil.tga
		rgbGen identity
		
	}
	{
		map textures/A2/pink.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 1 1
		
		
		rgbGen identity
		//rgbGen wave sin 0 1 3 0.1
		//rgbGen wave sin .2 .8 3 .1
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/a2/wallsides
{
        qer_editorimage textures/common/wall_sides.tga
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 512 0 0 ) ( 0 0 512 )
	q3map_alphaMod dotproduct ( 0.1 0 0.6 )
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/A2/bunkerwall_3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		//blendfunc blend
	}

}

textures/a2/wallfront
{
        qer_editorimage textures/common/wall_front.tga
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeangle 200
	q3map_tcGen ivector ( 0 512 0 ) ( 512 0 512 )
	q3map_alphaMod dotproduct2 ( 0.4 0.1 0.6 )
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/A2/bunkerwall_3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		//blendfunc blend
	}
}




textures/a2/w_light2
{
	nocompress
	qer_editorimage textures/liquids_sd/siwa_water.tga
	qer_trans .5
	q3map_globaltexture
	//q3map_nonplanar
	//q3map_shadeangle 120
	surfaceparm trans
	surfaceparm nonsolid
	//q3map_surfacelight 250
	surfaceparm water
	surfaceparm nomarks
	cull disable
	nopicmip
	nofog

	waterfogvars ( 0.9 0.9 0.9 ) 0.2
		{ 
		fog on
		map textures/liquids_sd/siwa_water.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbgen identity
		//tcmod scale 0.5 0.5
		//tcmod transform 0 0.5 1 1.5 2 1
		//tcmod scroll -.5 .001
	}
	
	{ 
		fog on
		map textures/A2/blue2.tga
		//map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25 
		tcmod scale 0.01 0.01
		tcmod scroll -.001 -.0002
	}
	
	{ 
		fog on
		map textures/A2/pink.tga
		//map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.1 0.03 0 0.4
		tcmod scale 1 1
		tcmod scroll -.005 -.001
	}
	{ 
		fog on
		map textures/A2/pink.tga
		//map textures/liquids_sd/siwa_shimshim1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.4 0.02 0 0.3
		tcmod transform 0 0.5 1 1.5 2 1
		tcmod scroll .005 -.001
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		alphaGen const 5.5
	}
}


textures/a2/w_light3
{
	nocompress
	qer_editorimage textures/liquids_sd/siwa_water.tga
	qer_trans .5
	q3map_globaltexture
	//q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm trans
	surfaceparm nonsolid
	//q3map_surfacelight 250
	surfaceparm water
	surfaceparm nomarks
	cull disable
	nopicmip
	nofog

	waterfogvars ( 1 1 1 ) 1
		{ 
		fog on
		map textures/liquids_sd/siwa_water.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod transform 0 0.5 3 0.1 2 1
		tcmod scroll -2 0
	}
	
	{ 
		fog on
		map textures/A2/pink.tga
		//map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0.1 0.25 
		tcmod scale 0.01 0.01
		tcmod scroll -.001 -.0002
	}
	
	{ 
		fog on
		map textures/A2/pink.tga
		//map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.1 0.03 0 0.4
		tcmod scale 1 1
		tcmod scroll -.005 -.001
	}
	{ 
		fog on
		map textures/liquids_sd/siwa_shimshim1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.4 0.02 0 0.3
		tcmod transform 0 0.5 1 1.5 2 1
		tcmod scroll .005 -.001
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		alphaGen const 5.5
	}
}


textures/a2/ter2
{
        qer_editorimage textures/common/terrain_nonsolid.tga
	surfaceparm nodamage
	surfaceparm landmine
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.1 0.1 0.80 )
	{
		map textures/temperate_sd/dirt3.tga // Primary
		rgbGen identity
		
	}
	{
		map textures/A2/pink.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
		
		rgbGen identity
		//rgbGen wave sin 0 1 3 0.1
		//rgbGen wave sin .2 .8 3 .1
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/a2/leak
{
	qer_editorimage textures/a2/leak.tga
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/A2/leak.tga
		blendFunc blend
	}
}





textures/a2/dem5

{
	qer_editorimage textures/a2/blue.tga
	qer_trans 0.5
	cull none
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	
	q3map_surfacelight 1000
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/a2/blue.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcgen environment
	}
}



textures/a2/w_light5
{
	nocompress
	qer_editorimage textures/liquids_sd/siwa_water.tga
	qer_trans .5
	q3map_globaltexture
	//q3map_nonplanar
	//q3map_shadeangle 120
	surfaceparm trans
	surfaceparm nonsolid
	//q3map_surfacelight 250
	surfaceparm water
	surfaceparm nomarks
	cull disable
	nopicmip
	nofog

	waterfogvars ( 0.9 0.9 0.9 ) 0.2
		{ 
		fog on
		map textures/liquids_sd/siwa_water.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbgen identity
		//tcmod scale 0.5 0.5
		//tcmod transform 0 0.5 1 1.5 2 1
		//tcmod scroll -.5 .001
	}
	
	{ 
		fog on
		map textures/A2/blue2.tga
		//map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25 
		tcmod scale 0.01 0.01
		tcmod scroll -.001 -.0002
	}
	
	{ 
		fog on
		map textures/A2/blue.tga
		//map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.1 0.03 0 0.4
		tcmod scale 1 1
		tcmod scroll -.005 -.001
	}
	{ 
		fog on
		map textures/A2/blue.tga
		//map textures/liquids_sd/siwa_shimshim1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.4 0.02 0 0.3
		tcmod transform 0 0.5 1 1.5 2 1
		tcmod scroll .005 -.001
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		alphaGen const 5.5
	}
}







